HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get One Savings Analysis with {providerAccountId}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve one previously run Savings Analysis using your providerAccountId and the savingsAnalysisId.

Use this endpoint when you identify accounts with your own customer-managed ID and have the savingsAnalysisId returned by a previous Savings Analysis response or history list response. To retrieve one analysis using the Arcadia-generated account identifier, use Get One Savings Analysis with accountId. For the full history workflow, see Savings Analysis History.

Resource URI

GET /rest/v1/accounts/pid/{providerAccountId}/analyses/{savingsAnalysisId}

Path parameters

ParameterTypeDescription
providerAccountIdStringYour unique identifier for the Account object. Required.
savingsAnalysisIdStringArcadia-generated ID returned in the Savings Analysis response. Required.

Optional parameters

ParameterTypeDescription
populateRequestBooleanWhen true, includes the original Savings Analysis request. Optional.

For more context and response examples, see Savings Analysis History.

Example

GET /rest/v1/accounts/pid/api-eg-01/analyses/34eb2c30-cf83-4a84-b6b8-948e34a3c9f1

A successful response returns a standard response payload with type set to AccountAnalysis and one Savings Analysis in the results array.

{
  "status": "success",
  "count": 1,
  "type": "AccountAnalysis",
  "results": [
    {
      "savingsAnalysisId": "34eb2c30-cf83-4a84-b6b8-948e34a3c9f1",
      "accountId": "012f31cd-7d85-422c-bcca-6147ba349495",
      "currency": "USD",
      "summary": {
        "preTotalCost": 1448.88,
        "postTotalCost": 515.82,
        "netAvoidedCost": 933.06
      }
    }
  ]
}
Path Params
string
required

This is your unique identifier chosen to represent the Account object.

string
required

The Arcadia generated ID returned in the savings analysis response.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json